/*
 * fallback.c
 *
 * Copyright 1993, 1994, 1995 by John Kilburg.
 *
 * See copyright.h for details.
 */ 
#include "copyright.h"

#include <stdio.h>

/*
 * I got sick of this being in main.c
 */
char *fallback_resources[] =
{
  ".font:         -*-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-1",

  "*background:                moccasin",
  "*showGrip:                  false",

  "*Scrollbar.background:      burlywood2",
  "*Command.background:        burlywood2",
  "*Toggle.background:         burlywood2",
  "*MenuButton.background:     burlywood2",
  "*SimpleMenu.background:     burlywood2",
  "*SmeBSB.background:         burlywood2",
  "*Box.orientation:           horizontal",
  "*Label.borderWidth:         0",

  "*allowHoriz:                true",
  "*allowVert:                 true",

  /* Labels for main window commands */
  "*file.label:                File",
  "*open.label:                Open",
  "*quit.label:                Quit",
  "*reload.label:              Reload",
  "*help.label:                Help",
  "*source.label:              Source",
  "*home.label:                Home",
  "*back.label:                Back",
  "*search.label:              Search",
  "*cancel.label:              Cancel",

  "*www.height:                600",
  "*www.width:                 620",

  /* resources for bookmark widgets */
  "*Bookmark*Box.hSpace:       10",
  "*Bookmark*markadd.label:    Add",
  "*Bookmark*markopen.label:   Open",
  "*Bookmark*markdel.label:    Delete",
  "*Bookmark*groupadd.label:   Add Group",
  "*Bookmark*groupdel.label:   Delete Group",
  "*Bookmark*Viewport.height:  150",
  "*Bookmark*Viewport.width:   400",
  "*Bookmark*Viewport.borderWidth: 1",
  "*Bookmark*dismiss.label:    Dismiss",
  "*Bookmark*List.forceColumns: true",
  "*Bookmark*List.defaultColumns: 1",
  "*Bookmark*groupform.defaultDistance: 3",
  "*Bookmark*markform.defaultDistance: 3",
  "*Bookmark*srgroupadd.strreqMessage: Enter Group Name",
  "*Bookmark*srmarkadd.strreqMessage: Enter Bookmark Name",
  "*Bookmark*title:            Bookmarks",

  /* resources for outputsel widgets */
  "*OutputSel*Box.hSpace:      10",
  "*OutputSel*obox.hSpace:     50",
  "*OutputSel*plain.label:     Plain Text",
  "*OutputSel*pretty.label:    Pretty Text",
  "*OutputSel*ps.label:        Postscript",
  "*OutputSel*raw.label:       Raw",
  "*OutputSel*printer.label:   Printer",
  "*OutputSel*email.label:     Email",
  "*OutputSel*file.label:      File",
  "*OutputSel*ok.label:        OK",
  "*OutputSel*clear.label:     Clear",
  "*OutputSel*dismiss.label:   Dismiss",
  "*OutputSel*ScrollingText.width: 300",
  "*OutputSel*title:           Output Selection",

  /* resources for strreq widgets */
  "*StrReq*Box.hSpace:         10",
  "*StrReq*ok.label:           OK",
  "*StrReq*clear.label:        Clear",
  "*StrReq*dismiss.label:      Dismiss",
  "*StrReq*ScrollingText.width: 300",
  "*filename.strreqMessage:    Enter filename",
  "*filename*title:            Enter filename",
  "*url.strreqMessage:         Enter URL",
  "*url*title:                 Enter URL",
  "*search.strreqMessage:      Enter search",
  "*search*title:              Enter search",

  /* resources for authreq widgets */
  "*AuthReq*Box.hspace:        10",
  "*AuthReq*ok.label:          OK",
  "*AuthReq*clear.label:       Clear",
  "*AuthReq*dismiss.label:     Dismiss",
  "*AuthReq*ScrollingText.width: 300",
  "*AuthReq*ulabel.label:      Username",
  "*AuthReq*plabel.label:      Password",
  "*AuthReq*title:             Authentication",


  "*urllabel.label:            URL:",
  "*urllabel.left:             ChainLeft",
  "*urllabel.right:            ChainLeft",
  "*urldisplay.left:           ChainLeft",
  "*urldisplay.right:          ChainRight",
  "*urldisplay.fromHoriz:      urllabel",
  "*urldisplay*sensitive:      true",
  "*urldisplay.width:          500",
  "*urldisplay*editType:       edit",

  "*Label.font: -*-lucidatypewriter-medium-r-normal-*-*-120-*-*-*-*-iso8859-1",
  "*Command.font: -*-lucida-bold-r-normal-sans-*-120-*-*-*-*-iso8859-1",
  "*Toggle.font: -*-lucida-bold-r-normal-sans-*-120-*-*-*-*-iso8859-1",
  "*urldisplay.font:    -*-lucida-bold-r-normal-sans-*-120-*-*-*-*-iso8859-1",
  "*titledisplay.font:  -*-lucida-bold-r-normal-sans-*-120-*-*-*-*-iso8859-1",

  "*h1Font:   -*-helvetica-bold-r-normal-*-*-240-*-*-*-*-iso8859-1",
  "*h2Font:   -*-helvetica-bold-r-normal-*-*-180-*-*-*-*-iso8859-1",
  "*h3Font:   -*-helvetica-bold-r-normal-*-*-140-*-*-*-*-iso8859-1",
  "*h4Font:   -*-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1",
  "*h5Font:   -*-helvetica-bold-r-normal-*-*-100-*-*-*-*-iso8859-1",
  "*h6Font:   -*-helvetica-bold-r-normal-*-*-80-*-*-*-*-iso8859-1",
  "*normalFont: -*-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-1",
  "*bFont:    -*-helvetica-bold-r-normal-*-*-120-*-*-*-*-iso8859-1",
  "*iFont:    -*-helvetica-medium-o-normal-*-*-120-*-*-*-*-iso8859-1",
  "*emFont:   -*-helvetica-medium-o-normal-*-*-120-*-*-*-*-iso8859-1",
  "*ttFont:   fixed",

  NULL /* I'm bitter about this because I have to include stdio.h which
          seems like worthlessness */
};
